AnyEvent::XMPP::Ext::Disco::Items(3)

NAME
AnyEvent::XMPP::Ext::Disco::Items - Service discovery items

SYNOPSIS

DESCRIPTION
This class represents the result of a disco items request sent by a "AnyEvent::XMPP::Ext::Disco" handler.

METHODS

xml_node ()
    Returns the AnyEvent::XMPP::Node object of the IQ query.

jid ()
    Returns the JID these items belong to.

node ()
    Returns the node these items belong to (may be undef).

items ()
    Returns a list of hashreferences which contain following keys:

      jid, name, node and xml_node

    "jid" contains the JID of the item. "name" contains the name of the item and might be undef. "node" contains the node id of the item and might be undef. "xml_node" contains the AnyEvent::XMPP::Node object of the item for further analyses.

debug_dump ()
    Prints these items to stdout for debugging.

AUTHOR
Robin Redeker, "<elmex at ta-sa.org>", JID: "<elmex at jabber.org>"

COPYRIGHT & LICENSE
Copyright 2007, 2008 Robin Redeker, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.